%define majver %(echo %version | cut -d. -f1-2)

Name:          konqueror
Version:       20.12.2
Release:       1mamba
Summary:       KDE Frameworks 5 web browser
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.kde.org
Source:        https://download.kde.org/stable/release-service/%{version}/src/konqueror-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkdesu-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libkhtml-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkjs-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkpty-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtidy-html5-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      konqueror-plugins
Obsoletes:     konqueror-plugins
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 web browser.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Provides:      libkonq
Obsoletes:     libkonq

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/konqy_preload.desktop
%{_sysconfdir}/xdg/translaterc
%{_sysconfdir}/xdg/konqsidebartngrc
%{_bindir}/kcreatewebarchive
%{_bindir}/fsview
%{_bindir}/kfmclient
%{_bindir}/konqueror
%{_datadir}/akregator/pics/feed.png
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/org.kde.konqueror.appdata.xml
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.Konqueror.Main*.xml
%dir %{_datadir}/konqsidebartng
%dir %{_datadir}/konqsidebartng/entries
%{_datadir}/konqsidebartng/entries/*.desktop
%dir %{_datadir}/konqsidebartng/plugins
%{_datadir}/konqsidebartng/plugins/*.desktop
%{_datadir}/kxmlgui5/fsview/fsview_part.rc
%{_datadir}/dolphinpart/kpartplugins/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/actions/*.png
%{_datadir}/kcmcss/template.css
%{_datadir}/kconf_update/webenginepart.upd
%{_datadir}/kcontrol/pics/onlyone.png
%{_datadir}/kcontrol/pics/overlapping.png
%{_kde5_datadir}/kf5/kbookmark/directory_bookmarkbar.desktop
%{_datadir}/khtml/kpartplugins/*
%dir %{_datadir}/konqueror
%dir %{_datadir}/konqueror/about
%{_datadir}/konqueror/about/*
%{_datadir}/konqueror/icons/hicolor/*/actions/google.png
%{_datadir}/konqueror/icons/hicolor/scalable/actions/google.svgz
%dir %{_datadir}/konqueror/kpartplugins
%{_datadir}/konqueror/kpartplugins/*
%{_datadir}/konqueror/opensearch/google.xml
%dir %{_datadir}/konqueror/pics
%{_datadir}/konqueror/pics/*
%{_datadir}/kservices5/*.desktop
%{_datadir}/kwebkitpart/kpartplugins/*
%{_datadir}/webenginepart/*
%{_datadir}/kxmlgui5/webenginepart/webenginepart.rc
%{_datadir}/qlogging-categories5/fsview.categories
%{_datadir}/qlogging-categories5/akregatorplugin.categories
%{_datadir}/qlogging-categories5/konqueror.categories
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Konq.so.*
%{_libdir}/libkdeinit5_kfmclient.so
%{_libdir}/libkdeinit5_konqueror.so
%{_libdir}/libkonquerorprivate.so.*
%{_libdir}/libkonqsidebarplugin.so.*
%{_libdir}/libkwebenginepart.so
%{_libdir}/qt5/plugins/*.so
%{_libdir}/qt5/plugins/kf5/parts/webenginepart.so
%{_libdir}/qt5/plugins/kf5/kfileitemaction/akregatorplugin.so
%doc COPYING.DOC COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/konq_*.h
%{_kde5_includedir}/libkonq_export.h
%{_includedir}/konqsidebarplugin.h
%{_libdir}/libkonqsidebarplugin.so
%{_kde5_libdir}/libKF5Konq.so
%{_kde5_libdir}/cmake/KF5Konq/KF5Konq*.cmake

%changelog
* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Fri Jan 08 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Thu Nov 05 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Thu Feb 06 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Fri Jan 10 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 19.12.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2019 Automatic Build System <autodist@mambasoft.it> 19.08.3-1mamba
- automatic version update by autodist

* Thu Oct 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.2-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.1-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 19.08.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2019 Automatic Build System <autodist@mambasoft.it> 19.04.3-1mamba
- automatic version update by autodist

* Fri Jun 07 2019 Automatic Build System <autodist@mambasoft.it> 19.04.2-1mamba
- automatic version update by autodist

* Mon May 13 2019 Automatic Build System <autodist@mambasoft.it> 19.04.1-1mamba
- automatic version update by autodist

* Tue Apr 23 2019 Automatic Build System <autodist@mambasoft.it> 19.04.0-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 18.12.3-1mamba
- automatic version update by autodist

* Sat Feb 09 2019 Automatic Build System <autodist@mambasoft.it> 18.12.2-1mamba
- automatic version update by autodist

* Sat Jan 12 2019 Automatic Build System <autodist@mambasoft.it> 18.12.1-1mamba
- automatic version update by autodist

* Sat Dec 15 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Wed Aug 22 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Tue Jun 12 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Thu May 10 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sun Apr 22 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Wed Oct 11 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 17.08.1-1mamba
- package created using the webbuild interface
